package com.yihu.jw.entity.hospital.survey;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/9/6.
 */
@Entity
@Table(name = "wlyy_survey_user_answer")
public class WlyySurveyUserAnswerDO extends UuidIdentityEntity {

    private String surverUserId;//答题批次号
    private String surveyTempCode;//问卷模板编码',
    private String tempQuestionCode;//问答题题目编码',
    private Integer questionType;//
    private String tempOptionCode;//问卷选项编码',
    private String comment;//选项的备注
    private String content;//问答题答案/选择题，问答题的中文',
    private String patient;//患者ID',
    private String patientName;//患者姓名',
    private Integer score;//得分',
    private Date createTime;//答案填写时间',

    public String getSurverUserId() {
        return surverUserId;
    }

    public void setSurverUserId(String surverUserId) {
        this.surverUserId = surverUserId;
    }

    public String getSurveyTempCode() {
        return surveyTempCode;
    }

    public void setSurveyTempCode(String surveyTempCode) {
        this.surveyTempCode = surveyTempCode;
    }

    public String getTempQuestionCode() {
        return tempQuestionCode;
    }

    public void setTempQuestionCode(String tempQuestionCode) {
        this.tempQuestionCode = tempQuestionCode;
    }

    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    public String getTempOptionCode() {
        return tempOptionCode;
    }

    public void setTempOptionCode(String tempOptionCode) {
        this.tempOptionCode = tempOptionCode;
    }
    @Column(name = "user_content")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    @Column(name = "user_comment")
    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
